cc.funkemunky.api.utils.json

## Class HTTPTokener

- java.lang.Object
- - cc.funkemunky.api.utils.json.JSONTokener
  - - cc.funkemunky.api.utils.json.HTTPTokener

    public class HTTPTokener
    extends JSONTokener

The HTTPTokener extends the JSONTokener to provide additional methods for the parsing of HTTP headers.

### Constructor Summary

Constructors
Constructor and Description
`HTTPTokener(java.lang.String string)` Construct an HTTPTokener from a string.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `nextToken()` Get the next token or string.

### Methods inherited from class cc.funkemunky.api.utils.json.JSONTokener

`back, dehexchar, end, more, next, next, next, nextClean, nextString, nextTo, nextTo, nextValue, skipTo, syntaxError, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HTTPTokener

    public HTTPTokener(java.lang.String string)

Construct an HTTPTokener from a string.

Parameters:
  `string` - A source string.

### Method Detail

#### nextToken

    public java.lang.String nextToken()
                               throws JSONException

Get the next token or string. This is used in parsing HTTP headers.

Returns:
  A String.
Throws:
  `JSONException`